Stream your chat events in a community
GET /api/member/communities/{communityId}/chats/events. Stream your chat events in a community. Headless LMS Chats API reference.
Any active member of the organization. For a member of the community. A server-sent event stream of the changes to the chats you are in. It starts with ready and your unread; load your chats on ready and on resync. A : ping comment every 25 s keeps it open. It ends with closed when the server shuts down. 503 when this server has no live delivery.
Path Parameters
Response Body
text/event-stream
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/communities/string/chats/events"{ "type": "ready", "heartbeatMs": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string", "details": { "property1": "string", "property2": "string" }}List your chats in a community GET
GET /api/member/communities/{communityId}/chats. List your chats in a community. Headless LMS Chats API reference.
Your unread chat total in a community GET
GET /api/member/communities/{communityId}/chats/unread. Your unread chat total in a community. Headless LMS Chats API reference.